%global pypi_name prefixed
%global desc %{expand:
Prefixed provides an alternative implementation of the built-in float which
supports formatted output with SI (decimal) and IEC (binary) prefixes.}

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        2%{?dist}
Summary:        Prefixed alternative numeric library

License:        MPLv2.0
URL:            https://github.com/Rockhopper-Technologies/prefixed
Source0:        %{pypi_source}
Patch0:         setuptools_el7.patch
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-unittest2
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
%endif

%description %{desc}


%package -n     python2-%{pypi_name}
Summary:        %{summary}

%description -n python2-%{pypi_name} %{desc}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name} %{desc}


%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_other_pkgversion}-%{pypi_name} %{desc}
%endif


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%py2_build
%py3_build
%{?with_python3_other:%py3_other_build}


%install
%{?with_python3_other:%py3_other_install}
%py3_install
%py2_install


%check
%{__python2} setup.py test
%{__python3} -m unittest
%{?with_python3_other:%{__python3_other} -m unittest}


%files -n python2-%{pypi_name}
%doc README*
%license LICENSE
%{python2_sitelib}/prefixed*


%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README*
%license LICENSE
%{python3_sitelib}/prefixed*


%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{srcname}
%doc README*
%license LICENSE
%{python3_other_sitelib}/prefixed*
%endif


%changelog
* Fri Jan 20 2023 Avram Lubkin <aviso@rockhopper.net> - 0.6.0-2
- Add patch and dependency for unittest2

* Fri Jan 20 2023 Avram Lubkin <aviso@rockhopper.net> - 0.6.0-1
- Update to 0.6.0

* Thu Apr 01 2021 Avram Lubkin <aviso@rockhopper.net> - 0.3.2-5
- Update to support EPEL 7

* Thu Apr 01 2021 Avram Lubkin <aviso@rockhopper.net> - 0.3.2-4
- Add check for python3_other

* Wed Mar 31 2021 Avram Lubkin <aviso@rockhopper.net> - 0.3.2-3
- Update to support EPEL 8

* Sun Jan 31 2021 Avram Lubkin <aviso@rockhopper.net> - 0.3.2-2
- Implement review feedback

* Mon Jan 18 2021 Avram Lubkin <aviso@rockhopper.net> - 0.3.2-1
- Initial package.
